source /cvmfs/software.eessi.io/versions/2023.06/init/lmod/bash
module load EESSI/2023.06
module load Extrae/4.2.0-gompi-2023b

rename_trace(){
    if [ "$#" -ne 2 ]; then
        echo "Usage:    $0 <trace_name> <new_trace_name>"
        echo "          trace_name without extension"
        echo "This function will change the name"
        return 1
    fi
    if [ -f "$1".prv ] && [ -f "$1".pcf ] && [ -f "$1".row ]; then
        mv $1.prv $2.prv
        mv $1.pcf $2.pcf
        mv $1.row $2.row
    else
        echo "Can't find the trace with name $1"
        return 1
    fi

}

